RatioRating Struct Reference

structure to store the rating of an ratio test: More...

Inheritance diagram for RatioRating:

## Public Member Functions

double | rate (double value) const
| RatioRating ()
Public Member Functions inherited from RatingBase
| RatingBase ()

## Public Attributes

double | threshold
double | factor
Public Attributes inherited from RatingBase
bool | active
| to turn the test on and off. More...
double | score
| score that should be added if the test succeeds. More...

## Detailed Description

structure to store the rating of an ratio test:

resultscore = (value >= threshold) ? score + value * factor : 0;

## Constructor & Destructor Documentation

## RatioRating()

RatioRating::RatioRating | ( |  | ) |

## Member Function Documentation

## rate()

double RatioRating::rate | ( | double | value | ) | const

## Member Data Documentation

## threshold

double RatioRating::threshold

## factor

double RatioRating::factor

The documentation for this struct was generated from the following file:

- fullquottel.cpp